/*
Theme Name: GeneratePress-Child
Description: Thème pour RoadReels
Author: Vincelou
Template: generatepress
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* Général */
html { overflow-y: scroll; }

/* Titres */
.category-paris-texas h1 { color: var(--red9); }
.category-paris-texas h2 { color: var(--red9); }
.category-paris-texas h2 a { color: var(--red9); }
.category-paris-texas h3 { color: var(--red9); }
.category-paris-texas h4 { color: var(--red9); }
.category-mulholland-drive h1 { color: var(--blue9); }
.category-mulholland-drive h2 { color: var(--blue9); }
.category-mulholland-drive h2 a { color: var(--blue9); }
.category-mulholland-drive h3 { color: var(--blue9); }
.category-mulholland-drive h4 { color: var(--blue9); }

/* En tête Navigation */
.main-nav li a::after {
	content: '';
	position: absolute;
	left: 0;
	bottom: 0;
	height: 2px;
	width: 100%;
	background: var(--grey9);
	transform: scaleX(0);
	transform-origin: center;
	transition: transform 0.3s ease;
}
.main-nav li a:hover::after,
.main-nav li a:focus::after {
	transform: scaleX(1);
}
.main-nav li[class*="current-menu-"] a {
	background: no-repeat url("/wp-content/uploads/pickup.png") 50% 100%;
}
.main-navigation { border-radius: 0 0 15px 15px; }

/* Formulaire modale de recherche */
.gp-modal__overlay { backdrop-filter: none !important; }
.wp-block-search__inside-wrapper {
	border: 0;
}
input.wp-block-search__input {
	background: var(--grey1);
	border: 0;
	border-radius: 15px;
}
button.wp-block-search__button {
	color: var(--grey9);
	background: var(--grey1);
	border: 0;
	border-radius: 25px;
	padding: 10px;
	margin-left: 25px;
}
button.wp-block-search__button:hover {
	background: var(--grey5);
}

/* Archives et Résultats de recherche */
.generate-columns-activated .inside-article {
	padding: 15px;
	background: var(--grey1);
	border-radius: 8px;
	font-size: 15px;
}
.generate-columns-activated .post-image { margin: -15px -15px 0 -15px !important; }
.generate-columns-activated .wp-post-image { border-radius: 8px 8px 0 0; }
.generate-columns-activated .entry-title a:hover { text-decoration: underline; }
.generate-columns-activated .entry-summary { margin-top: 10px; }
.generate-columns-activated .entry-summary p:first-child { height: 120px; margin-bottom: 10px; }
.generate-columns-activated .button { border-radius: 8px; }
.generate-columns-activated .comments-link { text-align: right; }
.generate-columns-activated .entry-meta { margin-top: -20px; }

/* Articles */
.single .entry-content a { font-weight: bold; }

/* Commentaires */
#comments .submit, #comments textarea { border-radius: 15px; }

/* Pied de page */
.site-footer { margin-top: 40px; border-top: solid 1px var(--grey9); }
